Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.schema
Class SchemaTypeCodePrinter

    java.lang.Object
      org.apache.xmlbeans.impl.schema.SchemaTypeCodePrinter

All Implemented Interfaces:
  SchemaCodePrinter

    public final class SchemaTypeCodePrinter

extends java.lang.Object
implements SchemaCodePrinter

Prints the java code for a single schema type

Field Summary
`static java.lang.String` | `INDEX_CLASSNAME`

Constructor Summary
`SchemaTypeCodePrinter(XmlOptions opt)`

Method Summary
`static java.lang.String` | `indexClassForSystem(SchemaTypeSystem system)`
`static java.lang.String` | `javaStringEscape(java.lang.String str)`
`void` | `printLoader(java.io.Writer writer, SchemaTypeSystem system)` Deprecated.
`static void` | `printLoader(java.io.Writer writer, SchemaTypeSystem system, XmlOptions opt)` Deprecated.
`void` | `printType(java.io.Writer writer, SchemaType sType)`
`static void` | `printType(java.io.Writer writer, SchemaType sType, XmlOptions opt)`
`void` | `printTypeImpl(java.io.Writer writer, SchemaType sType)`
`static void` | `printTypeImpl(java.io.Writer writer, SchemaType sType, XmlOptions opt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDEX_CLASSNAME

    public static final java.lang.String INDEX_CLASSNAME

See Also:
  Constant Field Values

Constructor Detail

### SchemaTypeCodePrinter

    public SchemaTypeCodePrinter(XmlOptions opt)

Method Detail

### printTypeImpl

    public static void printTypeImpl(java.io.Writer writer,
                                     SchemaType sType,
                                     XmlOptions opt)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### printType

    public static void printType(java.io.Writer writer,
                                 SchemaType sType,
                                 XmlOptions opt)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### printLoader

    public static void printLoader(java.io.Writer writer,
                                   SchemaTypeSystem system,
                                   XmlOptions opt)
                            throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`

### printType

    public void printType(java.io.Writer writer,
                          SchemaType sType)
                   throws java.io.IOException

  Specified by:
    `printType` in interface `SchemaCodePrinter`
  Throws:
    `java.io.IOException`

### printTypeImpl

    public void printTypeImpl(java.io.Writer writer,
                              SchemaType sType)
                       throws java.io.IOException

  Specified by:
    `printTypeImpl` in interface `SchemaCodePrinter`
  Throws:
    `java.io.IOException`

### indexClassForSystem

    public static java.lang.String indexClassForSystem(SchemaTypeSystem system)

### printLoader

    public void printLoader(java.io.Writer writer,
                            SchemaTypeSystem system)
                     throws java.io.IOException

  Deprecated.

  Specified by:
    `printLoader` in interface `SchemaCodePrinter`
  Throws:
    `java.io.IOException`

### javaStringEscape

    public static java.lang.String javaStringEscape(java.lang.String str)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD